/**
 * 
 */
package org.springblade.datasource.enums;

/**
 * @author wookvn
 *
 */
public enum FunctionMethodEnum {

	/**
	 * 日期转字符串
	 */
	DATE_TO_STR,
	/**
	 * 字符串转日期
	 */
	STR_TO_DATE,
	/**
	 * 数字转日期
	 */
	NUMBER_TO_DATE,
	/**
	 * 数字连接百分号
	 */
	NUMBER_JOINT_PERCENT,
	/**
	 * 年份提取
	 */
	EXTRACT_YEAR,
	/**
	 * 季度提取
	 */
	EXTRACT_QUARTER,
	/**
	 * 月份提取
	 */
	EXTRACT_MONTH,
	/**
	 * 周提取
	 */
	EXTRACT_WEEK,
	/**
	 * 日提取
	 */
	EXTRACT_DAY,
	/**
	 * 小时提取
	 */
	EXTRACT_HOUR,
	/**
	 * 分钟提取
	 */
	EXTRACT_MINUTE,
	/**
	 * 秒提取
	 */
	EXTRACT_SECOND,
	/**
	 * 全日期
	 */
	EXTRACT_FULL,
	;
	
	private Integer value;
	private String message;
}
