/**
 * 
 */
package org.springblade.datasource.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TableViewDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 视图或表名称
	 */
	private String tableViewName;

	/**
	 * 表注释
	 */
	private String tableComments;

	/**
	 * 数据源id
	 */
	private Integer datasourceId;
}