/**
 * 
 */
package org.springblade.core.license.model;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class LicenseCheckModel implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 可被允许的IP地址
     */
    private List<String> ipAddresses;
    /**
     * 可被允许的MAC地址
     */
    private List<String> macAddresses;
    /**
     * 可被允许的CPU序列号
     */
    private String cpuSerial;
    /**
     * 可被允许的主板序列号
     */
    private String mainBoardSerial;
}
