/**
 * 
 */
package org.springblade.message.model;

import java.io.File;
import java.io.Serializable;

import org.springblade.message.enums.MsgType;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@SuperBuilder(toBuilder = true)
public class MsgRequest implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 消息类型
	 */
	private MsgType msgType;
	
	/**
	 * 标题/邮件主题
	 */
	private String title;
	
	/**
	 * 消息体
	 */
	private String body;
	
	/**
	 * 文件
	 */
	private File file;
}
