/**
 * 
 */
package org.springblade.message.model;

import java.io.Serializable;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wookvn
 *
 */
@Builder
@Getter
@Setter
public class SmsInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 短信模板ID
	 */
	private String templateId;

	/**
	 * regionId
	 */
	private String regionId;

	/**
	 * accessKey
	 */
	private String accessKey;

	/**
	 * secretKey
	 */
	private String secretKey;

	/**
	 * 短信签名
	 */
	private String signName;
	
	/**
	 * 腾讯云需要SDKAppID
	 */
	private String appId;
}
