-- bi模块 - 王坤
ALTER TABLE `digital_operation`.`cube_global_param` ADD `default_value` varchar(300) NULL COMMENT '默认值';
ALTER TABLE `digital_operation`.`cube_global_param` DROP INDEX `param_key`;

delete from `digital_operation`.`cube_global_param` where tenant_id = '111111';
INSERT INTO `digital_operation`.`cube_global_param` (type_id,param_name,param_key,param_column_type,param_type,remark,create_time,create_user_id,create_by,tenant_id,default_value) VALUES
	 (0,'当前登录用户ID','jhbiSysUser',0,1,'当前登录用户的USERID','2023-02-22 11:21:09',0,'管理员','111111',NULL),
	 (0,'当前时间','jhbiSysCurrentTime',1,1,'获取当前时间【时间格式根据字段格式化】','2023-02-22 11:22:02',0,'管理员','111111',NULL),
	 (0,'当前登录用户姓名','jhbiSysUserRealName',1,1,'当前登录用户的REALNAME','2023-02-22 11:21:09',0,'管理员','111111',NULL),
	 (0,'当前登录用户名','jhbiSysUserName',1,1,'当前登录用户的USERNAME','2023-02-22 11:21:09',0,'管理员','111111',NULL),
	 (0,'当前登录用户手机号','jhbiSysUserMobile',1,1,'当前登录用户的MOBILE','2023-02-22 11:21:09',0,'管理员','111111',NULL),
	 (0,'当前登录用户单位','jhbiSysUserDept',0,1,'当前登录用户的DEPTID','2023-02-22 11:21:09',0,'管理员','111111',NULL);

drop table if exists digital_operation.visual_template_classify;
create table digital_operation.visual_template_classify(
                                         id             int auto_increment comment '主键'
                                             primary key,
                                         parent_id      int     default 0 not null comment '父分类id',
                                         classify_type  int(2)            null comment '分类类型 1 pc端 2 移动端',
                                         category_key   varchar(500)      null comment '分类键值',
                                         category_value varchar(64)       null comment '分类名称',
                                         is_deleted     int(2)  default 0 not null comment '是否已删除',
                                         sort_num       int(10) default 0 not null comment '排序',
                                         create_user_id bigint  default 0 not null comment '创建人ID',
                                         create_time    datetime          not null comment '创建时间',
                                         tenant_id      varchar(12)       null comment '租户id'
) comment '模板分类';

drop table if exists digital_operation.visual_template_use_situation;
create table digital_operation.visual_template_use_situation(
                                              id int auto_increment primary key comment '主键',
                                              visual_id int not null comment '模板 id',
                                              use_time datetime default now() not null comment '模板使用时间',
                                              user_id bigint not null comment '使用人',
                                              user_name varchar(100) not null comment '使用人名称',
                                              tenant_id varchar(12) null comment '租户id',
                                              create_time datetime default now() not null comment '创建时间'
) comment '模板使用情况';

-- bi模块 - 何亚博 三方登录链接添加密码字段
alter table digital_operation.visual_login_free_link add column pass varchar(100) null comment '验证密码';
