-- bi模块 - 王坤
ALTER TABLE digital_operation.cube_data ADD display_status tinyint DEFAULT 1 NOT NULL COMMENT '是否显示[静态数据创建的数据集不显示] 1：可以[默认]，0：不可以';

drop table if exists `cube_table_static`;
CREATE TABLE `cube_table_static` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `datasource_id` int NOT NULL COMMENT '数据源ID',
  `cube_data_id` int NOT NULL COMMENT '数据集ID',
  `table_comment` varchar(200) NOT NULL COMMENT '表注释',
  `table_name` varchar(100) NOT NULL COMMENT '表名',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_by` varchar(100) NOT NULL COMMENT '创建人姓名',
  `create_user_id` bigint(20) NOT NULL COMMENT '创建人ID',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据集_静态数据表';