package org.springblade.auth.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.auth.enums.ThirdPartyLoginType;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class ThirdPartyLogin implements Serializable {

    private ThirdPartyLoginType loginType;

    private String clientId;

    private String clientSecret;

    private String redirectUri;

    private String alipayPublicKey;

    private String agentId;
}
