package org.springblade.datasource.constants;

/**
 * <p>数据库相关的常量</p>
 * @author  wookvn
 * @datetime 2025-01-13 17:09:59
 */
public interface DbConstant {

    /**
     * 默认数字DECIMAL精度长度
     */
    int DEFAULT_COLUMN_NUMBER_SIZE = 30;

    /**
     * 默认数组DECIMAL的小数长度
     */
    int DEFAULT_COLUMN_NUMBER_DIGITS = 4;

    /**
     * 默认字符串的长度
     */
    int DEFAULT_COLUMN_STRING_SIZE = 255;

    /**
     * 创建或更新视图语句格式
     */
    String CREATE_REPLACE_VIEW_SQL_FORMAT = "CREATE OR REPLACE VIEW %s AS %s";

}
