/**
 * 
 */
package org.springblade.core.license.model;

import java.io.Serializable;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class LicenseContentModel implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
     * 可被允许的IP地址
     */
    private String ipAddress;
    /**
     * 可被允许的MAC地址
     */
    private String macAddress;
    /**
     * 可被允许的CPU序列号
     */
    private String cpuSerial;
    /**
     * 可被允许的主板序列号
     */
    private String mainBoardSerial;
    /**
     * 过期时间,毫秒数
     */
    private Long expireTime = 0L;
}
