/**
 * 
 */
package org.springblade.core.license.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ConfigurationProperties(prefix = "blade.license")
public class LicenseProperties {
	/**
	 * 是否开启license
	 */
	private boolean enabled = true;
	/**
	 * 文件路径
	 */
	private String filePath;
	/**
	 * 公钥解密key
	 */
	private String publicKey = "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCIJCR77qKz3DvQBtehBFZoLTt7puRSChCXm9GoULmpFb77cxPKZ8ik2o170bmcPslqf9Nz9hTDGgLU2svs7yzxAyuhETunwRNUdiI+Tt+luLBwAe2BANYrWp5Aqr8wI1hCu5BpKR0IgjwHV/7Kyj66JLQJoFvu76lcBoTSVW8e7wIDAQAB";
}
