///*
// *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
// *
// *  Redistribution and use in source and binary forms, with or without
// *  modification, are permitted provided that the following conditions are met:
// *
// *  Redistributions of source code must retain the above copyright notice,
// *  this list of conditions and the following disclaimer.
// *  Redistributions in binary form must reproduce the above copyright
// *  notice, this list of conditions and the following disclaimer in the
// *  documentation and/or other materials provided with the distribution.
// *  Neither the name of the dreamlu.net developer nor the names of its
// *  contributors may be used to endorse or promote products derived from
// *  this software without specific prior written permission.
// *  Author: Chill 庄骞 (smallchill@163.com)
// */
//package org.springblade.core.secure.provider;
//
//import java.io.IOException;
//import java.util.Objects;
//
//import javax.servlet.http.HttpServletResponse;
//
//import org.springblade.core.constant.BladeConstant;
//import org.springblade.core.tool.api.R;
//import org.springblade.core.tool.api.ResultCode;
//import org.springframework.http.MediaType;
//
//import com.alibaba.fastjson2.JSON;
//
//import lombok.extern.slf4j.Slf4j;
//
///**
// * ResponseProvider
// *
// * @author Chill
// */
//@Slf4j
//public class ResponseProvider {
//
//	public static void write(HttpServletResponse response) {
//		R result = R.fail(ResultCode.UN_AUTHORIZED);
//		response.setCharacterEncoding(BladeConstant.UTF_8);
//		response.addHeader(BladeConstant.CONTENT_TYPE_NAME, MediaType.APPLICATION_JSON_VALUE);
//		response.setStatus(HttpServletResponse.SC_UNAUTHORIZED);
//		try {
//			response.getWriter().write(Objects.requireNonNull(JSON.toJSONString(result)));
//		} catch (IOException ex) {
//			log.error(ex.getMessage());
//		}
//	}
//
//}
