/**
 * 
 */
package org.springblade.message.model;

import java.io.Serializable;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wookvn
 *
 *	APP应用消息数据
 */
@Builder
@Getter
@Setter
public class AppMsgInfo implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 企业微信：corpid/ 钉钉app_key
	 */
	private String appId;
	
	/**
	 * 应用密钥
	 */
	private String appSecret;

	/**
	 * 应用ID - 钉钉/企微需要
	 */
	private String agentId;
	
	/**
	 * 企业微信 获取accessToken密钥
	 */
	private String corpSecret;

	/**
	 * 三方APP的接口域名，默认为空，使用标准环境域名。
	 */
	private String domainHost;
}
