/**
 * 
 */
package org.springblade.message.model;

import java.io.Serializable;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wookvn
 *
 */
@Builder
@Getter
@Setter
public class EmailInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * smtp协议地址
	 */
	private String smtpHost;
	
	/**
	 * 发送邮箱账户
	 */
	private String userName;
	
	/**
	 * 发送密码或授权码
	 */
	private String passWord;
	
	/**
	 * smtp端口号
	 */
	@Builder.Default
	private String smtpPort = "465";
	
	/**
	 * 
	 */
	@Builder.Default
	private String socketFactoryPort = "465";

}
