/**
 * 
 */
package org.springblade.message.model;

import java.util.Collection;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@SuperBuilder(toBuilder = true)
@EqualsAndHashCode(callSuper = true)
public class EmailMsgRequest extends MsgRequest {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 短信数据
	 */
	private EmailInfo emailInfo;

	/**
	 * 邮箱列表
	 */
	private Collection<String> emails;
}
