/**
 * 
 */
package org.springblade.openfeign.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ConfigurationProperties("blade.openfeign")
public class OpenFeignProperties {

	/**
	 * token的headername
	 */
	private String tokenHeaderName = "Blade-Auth";
	private String appIdHeaderName = "App-Id";
}
